@charset "utf-8";
/* ==========================================================================
   Base
   ========================================================================== */
#noniron {
  --bg-yello-color: #FFF7E0;
  --bg-blue-color: #d7e6e7;
  --accent-color: #7e4f21;
}
#noniron h2 {
  font-size: min(7vw, 50px);
  padding: 0;
}
#noniron h3 {
  font-size: min(6vw, 40px);
}
#noniron h4 {
  font-size: min(4vw, 20px);
}
#noniron p {
  font-size: min(4vw, 18px);
}
/* ==========================================================================
   Components
   ========================================================================== */
.title {
  margin-bottom: min(5vw, 60px);
  text-align: center;
}
#noniron p.note {
  font-size: min(3.6vw, 14px);
  text-indent: -1em;
  padding-left: 1em;
}
.icon-water {
  position: relative;
  color: #0000ff;
  font-size: 2em;
  padding-right: 10px;
}
.icon-water::after {
  content: "";
  position: absolute;
  top: -.3em;
  left: -.3em;
  background-image: url(/content/dam/casio/global/label-writer/contents/noniron/img/highlight-water.png);
  background-size: contain;
  background-repeat: no-repeat;
  width: 1.5em;
  aspect-ratio: 1;
  transform: rotate(334deg);
}
.text-line {
  position: relative;
}
.text-line::after {
  content: "";
  position: absolute;
  bottom: -60px;
  left: 50%;
  transform: translateX(-50%);
  background-image: url(/content/dam/casio/global/label-writer/contents/noniron/img/text-line.svg);
  background-size: contain;
  background-repeat: no-repeat;
  width: 300px;
  aspect-ratio: 6 / 1;
}
#noniron .icon-line {
  margin: 0 auto;
  position: relative;
  width: fit-content;
  padding: 0;
}
.icon-line::before, .icon-line::after {
  content: "";
  position: absolute;
  top: 50%;
  right: calc(100% + 0.5em);
  background-image: url(/content/dam/casio/global/label-writer/contents/noniron/img/accent-lines-left.png);
  background-size: contain;
  background-repeat: no-repeat;
  width: 1em;
  aspect-ratio: 1;
  transform: translateY(-50%);
}
.icon-line::after {
  left: calc(100% + .5em);
  right: auto;
  background-image: url(/content/dam/casio/global/label-writer/contents/noniron/img/accent-lines-right.png);
}
#noniron .check-container {
  font-size: min(4.0vw, 30px);
  max-width: 800px;
    width: fit-content;        
  margin: 0 auto 50px;
  padding-left: 0;

}
#noniron .icon-check {
  position: relative;
  background: var(--bg-yello-color);
  margin-bottom: 10px;
  padding: .5em 2em .5em 3em;
  border-radius: min(3vw, 30px);
  font-weight: bold;
}
#noniron .icon-check::before {
  content: none;
  display: none;
}
#noniron .icon-check span::before {
  content: "";
  display: inline-block;
  position: absolute;
  top: 50%;
  left: 1em;
  background-image: url(/content/dam/casio/global/label-writer/contents/noniron/img/icon-check-mark.svg);
  background-size: contain;
  background-repeat: no-repeat;
  width: 1em;
  aspect-ratio: 1;
  transform: translateY(-50%);
}
.text-bubble {
  background-image: url(/content/dam/casio/global/label-writer/contents/noniron/img/text-bubble.svg);
  background-repeat: no-repeat;
  background-position: center top 42%;
  background-size: contain;
  padding: 1em 2em .5em;
  width: fit-content;
  min-width: 210px;
  margin: 0 auto;
  text-align: center;
}
.marker {
  background: linear-gradient(transparent 70%, #ffef62 70%);
}
.border {
  border-bottom: dashed;
}
#noniron .inner {
  margin: min(20vw, 100px) auto;
  width: 90%;
  max-width: 1500px;
}
.noniron-btn {
  background: var(--accent-color);
  border-radius: 10px;
  font-size: min(4vw, 18px);
  transition: .3s ease-out;
  padding: 0px 20px;
  border-width: 0;
}
.noniron-btn .cmp-button__text {
  position: relative;
}
.noniron-btn .cmp-button__text::after {
  content: "";
  position: absolute;
  top: 50%;
  left: calc(100% + 10px);
  transform: translateY(-50%);
  width: 1em;
  height: 1em;
  background-color: #ffffff;
  clip-path: polygon(0 0, 90% 50%, 0 100%);
  transition: .3s ease-out;
}
.noniron-btn:hover {
  background: #ffbd81;
  border-width: 0;
}
.noniron-btn:hover .cmp-button__text::after {
  left: calc(100% + 20px);
}
#noniron .cmp-tabs__tab {
  background: #fffefc;
}
#noniron .cmp-tabs__tab--active {
  background: #ffffff;
  color: var(--accent-color);
  border-top: 4px solid var(--accent-color);
  font-weight: bold;
}
/* --------------precautions---------------- */
#noniron .precautions {
  width: fit-content;
  margin: 50px auto 0;
  text-align: left;
}
#noniron .precautions > li > ul {
  margin: 0;
}
#noniron .precautions > li {
  padding-left: 1em;
  text-indent: -1em;
}
#noniron .precautions > li::before {
  content: none;
}
#noniron .precautions > li > ul > li {
  text-indent: 0;
  padding: 0;
}
/* ==========================================================================
   Layout
   ========================================================================== */
.container:has(> .switch-container > #header) {
  position: sticky;
  top: 0;
  left: 0;
  z-index: 9;
  transition: top .3s ease-out;
}
.header__inner {
  background: #ffffff;
  padding: 20px;
}
.header__menu {
  display: flex;
  justify-content: space-evenly;
  max-width: 500px;
  margin: 0 auto;
}
.header__item a {
  font-size: min(3.6vw, 16px);
  font-weight: 600;
  text-decoration: none;
  color: #000000;
  transition: .3s ease-out;
}
.header__item a:hover {
  color: var(--accent-color);
}
.container:has(> .switch-container > #header.is-scroll-up) {
  top: 60px;
}
.container:has(> .switch-container > #header.is-scroll-down) {
  top: 0px;
}
@media (max-width: 994px) {
  /* header */
  .container:has(> .switch-container > #header.is-scroll-up) {
    top: 50px;
  }
}
/* --------------about---------------- */
.container:has(>div>#about) {
  background-color: var(--bg-yello-color);
}
#about {
  background-color: var(--bg-blue-color);
  background-image: url(/content/dam/casio/global/label-writer/contents/noniron/img/waterdrop-left.png), url(/content/dam/casio/global/label-writer/contents/noniron/img/waterdrop-right.png);
  background-position: top 50px left 5%, top 50px right 5%;
  background-size: min(10vw, 150px);
  background-repeat: no-repeat;
  text-align: center;
  clip-path: circle(5000px at 50% -3100px);
  padding-bottom: 300px;
}
#about .inner {
  margin: min(15vw, 150px) auto 0;
  max-width: 1200px;
}
#about .title {
  margin-bottom: 50px;
  font-weight: bold;
}
#about .title p {
  font-size: min(5vw, 30px);
  font-weight: bold;
  line-height: 1.5;
}
#about .title h1 {
  background: #ffffff;
  padding: 40px 40px 20px;
  width: fit-content;
  margin: 20px auto 0;
  font-size: min(6vw, 50px);
  border-radius: 20px;
}
#about .title h1 .accent {
  position: relative;
}
#about .title h1 .accent::after {
  content: "";
  position: absolute;
  top: -.3em;
  left: 50%;
  transform: translateX(-50%);
  width: .2em;
  aspect-ratio: 1;
  background-color: #0000ff;
  border-radius: 50%;
}
#about .contents > .cmp-container > .aem-Grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 50px;
  margin-bottom: 50px;
}
#about .contents > .cmp-container > .aem-Grid::before, #about .contents > .cmp-container > .aem-Grid::after {
  content: none;
  display: none;
}
#about .contents .image {
  border-radius: 50%;
  border: solid #ffffff 10px;
  overflow: hidden;
  aspect-ratio: 1;
}
/* --------------how-to---------------- */
#about .how-to {
  background-color: #ffffff;
  margin-top: 50px;
  padding: min(6vw, 30px) min(3vw, 30px);
  border-radius: 30px;
}
#noniron .how-to p {
  font-size: min(3.5vw, 18px);
}
#about .how-to .contents > .cmp-container > .aem-Grid {
  display: flex;
  flex-wrap: nowrap;
  gap: 40px;
  text-align: center;
  justify-content: center;
  margin: 0;
}
#about .how-to .contents > .cmp-container > .aem-Grid > .container {
  max-width: 330px;
}
#about .how-to .contents > .cmp-container > .aem-Grid::before, #about .how-to .contents > .cmp-container > .aem-Grid::after {
  content: none;
  display: none;
}
#about .how-to .contents > .cmp-container > .aem-Grid .image {
  background: var(--bg-yello-color);
  border-radius: 20px;
  overflow: hidden;
}
.howto-image .image {
  padding: min(4vw, 40px);
}
/* --------------lineup---------------- */
#lineup {
  text-align: center;
  background-color: var(--bg-yello-color);
}
.lineup-nameland {
  margin-bottom: 50px;
}
.lineup-nameland > .cmp-container > .aem-Grid {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}
.lineup-nameland > .cmp-container > .aem-Grid > .container {
  width: calc(100% / 4) !important;
}
.lineup-nameland > .cmp-container > .aem-Grid::before, .lineup-nameland > .cmp-container > .aem-Grid::after {
  content: none;
  display: none;
}
#lineup .note {
  margin-bottom: 20px;
}
/* --------------movie---------------- */
#movie h2 {
  letter-spacing: .2em;
  padding-left: .2em !important;
}
/* --------------troubles---------------- */
#troubles {
  text-align: center;
  background-color: var(--bg-yello-color);
}
#noniron #troubles h2 {
  font-size: min(6vw, 40px);
}
#noniron #troubles p {
  font-size: min(3.5vw, 16px);
}
#troubles .contents > .cmp-container > .aem-Grid {
  display: flex;
  justify-content: center;
  gap: 20px;
  width: fit-content;
  margin: 0 auto;
}
#troubles .contents {
  overflow-x: auto;
  padding-bottom: 20px;
  scrollbar-color: #424242 #ffffff;
}
#troubles .contents > .cmp-container > .aem-Grid::before, #troubles .contents > .cmp-container > .aem-Grid::after {
  content: none;
  display: none;
}
#troubles .contents > .cmp-container > .aem-Grid > .container {
  background: #ffb962;
  padding: 30px 0;
  border-radius: 20px;
  width: 280px;
}
#troubles .contents > .cmp-container > .aem-Grid > .container:nth-of-type(2n) {
  background: #ffef62;
}
#troubles .contents .image {
  aspect-ratio: 1;
  overflow: hidden;
  background: #d7e6e7;
}
#troubles .contents .image img {
  width: auto;
  height: 100%;
  aspect-ratio: 1;
  transform: translateY(10px);
}
#troubles .contents > .cmp-container > .aem-Grid > .container .text {
  padding: 10px 20px 0;
}
/* --------------solution---------------- */
#solution {
  background-color: var(--bg-yello-color);
}
#solution h2 {
  position: relative;
  width: fit-content;
  margin: 0 auto;
  font-size: min(5vw, 40px);
}
#solution h2::after {
  content: "";
  position: absolute;
  top: 10%;
  left: 5%;
  transform: translateY(-50%);
  background-image: url(/content/dam/casio/global/label-writer/contents/noniron/img/icon-flower-mark.png);
  background-repeat: no-repeat;
  background-size: contain;
  width: 100px;
  aspect-ratio: 1;
}
#solution .contents {
  background-color: #ffffff;
  padding: min(5vw, 50px);
  border-radius: 30px;
  max-width: 1200px;
  margin: 0 auto;
}
#solution .carousel-container {
  max-width: 800px;
  margin: 0 auto;
}
/* --------------features---------------- */
#features {
  background-color: var(--bg-yello-color);
}
#features h2 {
  position: relative;
  width: fit-content;
  margin: 0 auto;
  font-size: min(5vw, 40px);
  padding: 0;
}
#features h3 {
  font-size: min(4vw, 24px);
  text-align: center;
}
#features h2::before, #features h2::after {
  content: "";
  position: absolute;
  top: -30%;
  right: 80%;
  transform: translateY(-10%) rotate(45deg);
  background-image: url(/content/dam/casio/global/label-writer/contents/noniron/img/highlight-left.png);
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  width: 100px;
  aspect-ratio: 1;
}
#features h2::after {
  left: 80%;
  transform: translateY(-10%) rotate(-45deg);
  background-image: url(/content/dam/casio/global/label-writer/contents/noniron/img/highlight-right.png);
}
#features .contents {
  background-color: #ffffff;
  padding: 50px;
  border-radius: 30px;
  max-width: 1200px;
  margin: 0 auto min(10vw, 100px);
}
#features .features-points > .cmp-container > .aem-Grid::before, #features .features-points > .cmp-container > .aem-Grid::after {
  content: none;
  display: none;
}
#features .features-points > .cmp-container > .aem-Grid {
  display: grid;
  gap: 60px 20px;
  grid-template-columns: repeat(2, 1fr);
  text-align: center;
}
#features .features-points .image {
  border-radius: 20px;
  overflow: hidden;
}
#features .text-bubble-up {
  border: solid 2px #000000;
  border-radius: 20px;
  width: fit-content;
  margin: 20px auto 0;
  padding: 0 30px;
}
/* --------------use-cases---------------- */
#use-cases {
  background-color: var(--bg-blue-color);
}
#use-cases .contents > .cmp-container > .aem-Grid {
  display: flex;
  flex-wrap: wrap;
  gap: 40px;
  justify-content: center;
}
#use-cases .contents > .cmp-container > .aem-Grid > .container {
  max-width: 340px;
}
#use-cases .contents > .cmp-container > .aem-Grid::before, #use-cases .contents > .cmp-container > .aem-Grid::after {
  content: none;
  display: none;
}
#use-cases .contents .image {
  border-radius: 50%;
  border: solid #ffffff 10px;
  overflow: hidden;
  aspect-ratio: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 18%;
}
/* --------------scenes---------------- */
#scenes .scene-contents {
  background-color: var(--bg-blue-color);
  border-radius: 30px;
  padding: min(10vw, 50px) min(5vw, 50px) 10px;
  position: relative;
  max-width: 1000px;
  margin: 20px auto 0;
}
#scenes .scene-contents__title-container {
  position: absolute;
  top: -30px;
  left: 15%;
}
#scenes .scene-contents .banner {
  background-color: #ffffff;
  padding: 6px min(5vw, 60px) 6px min(6.5vw, 60px);
  border: solid 1px #404040;
  transform: skewX(-45deg);
  font-size: min(4vw, 24px);
}
#scenes .scene-contents .banner-text {
  display: inline-block;
  transform: skewX(45deg);
}
#scenes .scene-contents .banner::before, #scenes .scene-contents2 .banner::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 110%;
  pointer-events: none;
}
#scenes .scene-contents .banner::before {
  bottom: -6px;
  left: -12px;
  border-left: 2px solid #404040;
}
#scenes .scene-contents .banner::after {
  top: -6px;
  right: -12px;
  border-right: 2px solid #404040;
}
/* --------------lineup2---------------- */
#lineup2 {
  text-align: center;
  background-color: var(--bg-yello-color);
}
#lineup2 h4 {
  font-size: min(4.3vw, 20px);
}
.lineup2__nameland-container {
  margin-top: 50px;
}
.lineup2__nameland-container .title {
  margin-bottom: 30px;
}
@media (max-width: 767px) {
  /* ==========================================================================
   Components
   ========================================================================== */
  .text-bubble {
    min-width: auto;
  }
  #noniron .cmp-tabs__tablist {
    display: grid;
    grid-template-columns: 1fr 1fr;
  }
  #noniron .cmp-tabs__tab--active {
    border: solid 1px var(--accent-color);
  }
  #noniron .icon-check {
    padding: .5em 2em;
  }
  #noniron .icon-check span::before {
    left: .5em;
  }
  /* ==========================================================================
   Layout
   ========================================================================== */
  /*about*/
  #about {
    background-position: top 40vw left 5%, top 120vw right 5%;
    clip-path: none;
    padding-bottom: 20vw;
  }
  #about .title h1 {
    padding: 20px 20px 10px;
  }
  #about .contents > .cmp-container > .aem-Grid {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 10px;
  }
  #about .contents > .cmp-container > .aem-Grid > .container {
    width: calc(50% - 10px);
  }
  #about .contents .image {
    border: solid #ffffff 3px;
  }
  #about .how-to .contents > .cmp-container > .aem-Grid {
    display: flex;
    gap: 10px;
  }
  #about .how-to .contents > .cmp-container > .aem-Grid > .container {
    max-width: none;
  }
  #about .how-to .contents > .cmp-container > .aem-Grid > .container {
    width: 100%;
  }
  /*troubles*/
  #troubles .inner {
    margin-bottom: 0;
  }
  #troubles .contents > .cmp-container > .aem-Grid > .container {
    width: 50vw;
  }
  /*solution*/
  #solution h2::after {
    content: "";
    position: absolute;
    top: 20%;
    left: 5%;
    width: 15vw;
  }
  #solution .inner {
    margin-bottom: 0;
  }
  .lineup-nameland > .cmp-container > .aem-Grid > .container {
    width: calc(100% / 2) !important;
  }
  .lineup-nameland.tape > .cmp-container > .aem-Grid > .container {
    width: calc(100% / 3) !important;
  }
  .lineup-nameland.tape .cmp-single-product_panel .cmp-single-product_panel__thumb {
    padding-top: 200%;
  }
  .lineup-nameland.tape .cmp-single-product_panel__img {
    top: auto;
    bottom: 0;
    height: auto;
    width: 90%;
    left: 50%;
    transform: translateX(-50%);
  }
  /* --------------features---------------- */
  #features h2::before, #features h2::after {
    content: "";
    position: absolute;
        top: -40%;
        right: 70%;
    transform: rotate(45deg);
    width: 10vw;
  }
  #features h2::after {
    left: 70%;
    background-image: url(/content/dam/casio/global/label-writer/contents/noniron/img/highlight-right.png);
    transform: rotate(315deg);
  }
  #features .contents {
    padding: 20px;
  }
  #features .features-points > .cmp-container > .aem-Grid {
    display: grid;
    grid-template-columns: 1fr;
    gap: 40px;
  }
  /* --------------use-cases---------------- */
  #use-cases h2 {
    font-size: min(6vw, 50px);
  }
  #use-cases .contents > .cmp-container > .aem-Grid {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
  }
  #use-cases .contents > .cmp-container > .aem-Grid > .container {
    width: calc(50% - 10px);
  }
  #use-cases .contents .image {
    border: solid #ffffff 4px;
  }
  /* --------------scenes---------------- */
  #scenes .scene-contents2 {
    margin: 10vw auto 0;
  }
}